VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
HostApplication Class Reference
Common Hosting SDK Implementation Helper Classes

Implementation's example of IHostApplication. More...

`#include <hostclasses.h>`

Inheritance diagram for HostApplication:

## Public Member Functions
| HostApplication ()
virtual | ~HostApplication () noexcept
tresult | getName (String128 name) override
tresult | createInstance (TUID cid, TUID _iid, void **obj) override
DECLARE_FUNKNOWN_METHODS PlugInterfaceSupport * | getPlugInterfaceSupport () const
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Additional Inherited Members
Static Public Attributes inherited from IHostApplication
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Implementation's example of IHostApplication.

## Constructor & Destructor Documentation

## ◆ HostApplication()

HostApplication | ( |  | ) |

## ◆ ~HostApplication()

virtual ~HostApplication | ( |  | ) |
| inline virtual noexcept

## Member Function Documentation

## ◆ getName()

tresult getName | ( | String128 | name | ) |
| override virtual

Implements IHostApplication.

## ◆ createInstance()

tresult createInstance | ( | TUID | cid,
|  | TUID | _iid,
|  | void ** | obj )
| override virtual

Implements IHostApplication.

## ◆ getPlugInterfaceSupport()

DECLARE_FUNKNOWN_METHODS PlugInterfaceSupport * getPlugInterfaceSupport | ( |  | ) | const
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.